diff -Naur 9502/gjukebox/SCRIPTS gjukeboxnew/SCRIPTS
--- 9502/gjukebox/SCRIPTS	Mon Oct 29 16:27:09 2001
+++ gjukeboxnew/SCRIPTS	Fri Sep  6 00:23:19 2002
@@ -18,11 +18,14 @@
 		all initial "The" to the end (Eg "The Man" becomes "Man, The")
 		so the songs end up under the initial character you suspect
 		them to be under.
-addmp3id3.pl    Search the specified directories or files recursively for files
-		ending in .mp3 and containing ID3 tags and then adding them
-		into the jukebox based on that information. This program will
-		only be available if you have mp3id3 installed.
-createalbums.pl Create albums for songs loaded by addmp3id3.pl. Use with -h to
+import.pl       Search the specified directories or files recursively for files
+                ending in .mp3 or .ogg and containing comment tags and then 
+                adding them into the jukebox based on that information.
+                This program has a few options run it with -h for mor infomation. 
+                Ogg import requires ogginfo, mp3 import requires mp3id3. 
+                Very handy for importing huge directories of existing mp3 and ogg
+                files into the database.
+createalbums.pl Create albums for songs loaded by import.pl. Use with -h to
 		get short list with options.
 setmp3id3.pl    Set the ID3 tags of the songs added in the Jukebox according to
 		the contents of the database content. Specifying any options
diff -Naur 9502/gjukebox/TODO gjukeboxnew/TODO
--- 9502/gjukebox/TODO	Sun Dec 16 17:14:41 2001
+++ gjukeboxnew/TODO	Fri Sep  6 00:22:25 2002
@@ -7,4 +7,4 @@
 Write CD:s using cdroast.
 Create RPM of Jukebox.
 Automatic format detection when adding songs through interface.
-Check tracknumber on all duplicate checks not only addmp3id3.
+Check tracknumber on all duplicate checks not only import.
diff -Naur 9502/gjukebox/scripts/addmp3id3.pl gjukeboxnew/scripts/addmp3id3.pl
--- 9502/gjukebox/scripts/addmp3id3.pl	Wed Jul  3 02:52:55 2002
+++ gjukeboxnew/scripts/addmp3id3.pl	Wed Dec 31 18:00:00 1969
@@ -1,162 +0,0 @@
-# ====================================================================
-# Copyright (c) 1999 GlobeCom GCAB AB.  All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-#
-# 1. Redistributions of source code must retain the above copyright
-#    notice, this list of conditions and the following disclaimer. 
-#
-# 2. Redistributions in binary form must reproduce the above copyright
-#    notice, this list of conditions and the following disclaimer in
-#    the documentation and/or other materials provided with the
-#    distribution.
-#
-# 3. All advertising materials mentioning features or use of this
-#    software must display the following acknowledgment:
-#    "This product includes software developed by GlobeCom GCAB AB
-#    <http://www.globecom.net/> for use in GlobeCom Jukebox."
-#
-# 4. The names "GlobeCom Jukebox" and "GlobeCom" must not be used to
-#    endorse or promote products derived from this software without
-#    prior written permission. For written permission, please contact
-#    hpj@globecom.net.
-#
-# 5. Products derived from this software may not be called "GlobeCom
-#    Jukebox" nor may "GlobeCom" appear in their names without prior written
-#    permission of the GlobeCom GCAB AB.
-#
-# 6. Redistributions of any form whatsoever must retain the following
-#    acknowledgment:
-#    "This product includes software developed by GlobeCom GCAB AB
-#    <http://www.globecom.net/> for use in GlobeCom Jukebox."
-#
-# THIS SOFTWARE IS PROVIDED BY GLOBECOM GCAB AB ``AS IS'' AND ANY
-# EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
-# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL GLOBECOM GCAB AB OR
-# ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
-# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
-# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
-# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
-# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
-# OF THE POSSIBILITY OF SUCH DAMAGE.
-# ====================================================================
-
-use strict;
-use defsjukebox; # Get the settings entered by the user during configuration
-use DBI;
-use MPEG::MP3Info;
-use File::Find ();
-use File::stat;
-use File::Basename;
-
-my $dbh=DBI->connect("dbi:mysql:database=$DBNAME;hostname=$DBSERVER",$DBUSER,$DBPASS) || die;
-
-my $titlefromfile=0; # set to true and the name of the song ( but not artist & album ) is taken from the mp3 filename instead of the mp3id3.
-
-# Check command line options.
-# The "-forceupdate" allows user to force a database entry (if it exists)
-# to be updated from the mp3 ID3 tag of the file.
-my $forceupdate=0;
-if ($ARGV[0]&&$ARGV[0] eq "-forceupdate") {
-    $forceupdate=1;
-    shift @ARGV
-}
-
-# Traverse desired filesystems
-
-my $add=$dbh->prepare("insert into songs (artist,title,volume,file,played,voted,toplist,lastplayed,entered,format,trackno,volid) ".
-		      "values (?,?,?,?,0,0,0,from_unixtime(?),from_unixtime(?),'mp3',?,?)");
-my $dup=$dbh->prepare("select count(*) from songs where (upper(artist) = upper(?) and upper(title) = upper(?)\n".
-		      "   and upper(volume) = upper(?) and (trackno is null or trackno = ? or ? is null)) or file = ?");
-my $dupsong=$dbh->prepare("select id from songs where file = (?)");
-my $modify=$dbh->prepare("update songs set artist = (?), title = (?), volume = (?), trackno = (?) where id = (?)");
-my $rip=$dbh->prepare("insert into ripqueue values (0,?,'mp3','analyse',?,?,?,?,0,'',?,NULL)");
-
-my $vol=$dbh->prepare("select id,mounted from volumes where (flags&2)=2 and length(mounted)>1");
-$vol->execute();
-my %validVol;
-while(my ($volid,$mount)=$vol->fetchrow_array()) {
-    $validVol{$volid}=$mount;
-}
-
-sub addit {
-    my ($name)=@_;
-    my $info=get_mp3tag($name);
-    my $artist=$info->{ARTIST};
-    my $title=$info->{TITLE};
-    my $album=$info->{ALBUM};
-    my $trackno=$info->{TRACKNUM};
-    my $stats=stat($name);
-
-    $title = basename($name, ".mp3") if $titlefromfile;  # JBM - sometimes the filename is a better title due to length limits on mp3id3
-
-    while($name=~s/\/\.\//\//) {
-
-    }
-
-    if ($artist&&$title) {
-	my $now=time;
-	$dup->execute($artist,$title,$album,$trackno,$trackno,$name);
-	my ($count)=$dup->fetchrow_array;
-	if ($count==0) {
-
-	    my $volid;
-	    my $maxSiz=0;
-
-	    for my $nvol (keys %validVol) {
-		my $base=$validVol{$nvol};
-		if (substr($name,0,length($base)) eq $base) {
-		    if ($maxSiz<length($base)) {
-			$maxSiz=length($base);
-			$volid=$nvol;
-			$name=substr($name,$maxSiz);
-			$name=~s/^\///;
-		    }
-		}
-	    }	    
-
-	    print "$artist - $title - $album - ".$validVol{$volid}." - $name\n";
-	    $add->execute($artist,$title,$album,$name,$stats->mtime,$stats->mtime,$trackno,$volid,);
-	    my $songid=$add->{'mysql_insertid'};
-	    $rip->execute($songid,$artist,$title,$album,$name,$trackno);
-	} else {
-          if ( $forceupdate ) {
-            # this file is already in database, we will
-            # update the entry according to the mp3 tag...
-            $dupsong->execute($name);
-            my ($songid)=$dupsong->fetchrow_array;
-            if ( $songid > 0 ) {
-              print "Updating: $artist - $title - $album - $name\n";
-              $modify->execute($artist,$title,$album,$trackno,$songid);
-            }
-          }
-        }
-    }
-    return 0;
-}
-
-my $pwd=`pwd`;
-chomp($pwd);
-
-push(@ARGV,$pwd)
-    if (!@ARGV);
-
-for my $a (@ARGV) {
-    if ($a=~/^\//) {
-	&File::Find::find({wanted => \&wanted, follow => 1},$a);
-    } else {
-	&File::Find::find({wanted => \&wanted, follow => 1},$pwd."/".$a);
-    }
-}
-
-exit;
-no strict;
-sub wanted {
-    /^.*\.[mM][pP]3$/ &&
-	addit($File::Find::name);
-}
diff -Naur 9502/gjukebox/scripts/import.pl gjukeboxnew/scripts/import.pl
--- 9502/gjukebox/scripts/import.pl	Wed Dec 31 18:00:00 1969
+++ gjukeboxnew/scripts/import.pl	Fri Sep  6 00:14:44 2002
@@ -0,0 +1,284 @@
+# ====================================================================
+# Copyright (c) 1999 GlobeCom GCAB AB.  All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+#
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer. 
+#
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in
+#    the documentation and/or other materials provided with the
+#    distribution.
+#
+# 3. All advertising materials mentioning features or use of this
+#    software must display the following acknowledgment:
+#    "This product includes software developed by GlobeCom GCAB AB
+#    <http://www.globecom.net/> for use in GlobeCom Jukebox."
+#
+# 4. The names "GlobeCom Jukebox" and "GlobeCom" must not be used to
+#    endorse or promote products derived from this software without
+#    prior written permission. For written permission, please contact
+#    hpj@globecom.net.
+#
+# 5. Products derived from this software may not be called "GlobeCom
+#    Jukebox" nor may "GlobeCom" appear in their names without prior written
+#    permission of the GlobeCom GCAB AB.
+#
+# 6. Redistributions of any form whatsoever must retain the following
+#    acknowledgment:
+#    "Thsis product includes software developed by GlobeCom GCAB AB
+#    <http://www.globecom.net/> for use in GlobeCom Jukebox."
+#
+# THIS SOFTWARE IS PROVIDED BY GLOBECOM GCAB AB ``AS IS'' AND ANY
+# EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL GLOBECOM GCAB AB OR
+# ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
+# OF THE POSSIBILITY OF SUCH DAMAGE.
+# ====================================================================
+use strict;
+use defsjukebox; # Get the settings entered by the user during configuration
+use DBI;
+use File::Find ();
+use File::Basename;
+
+
+#set up default values
+my $dontadd =  0; #Set to 1 when we don't want to actaully add stuff (i.e. working on the script)
+my $forceupdate=0; #Force the update of the db from the mp3tags of files found.
+my $titlefromfile = 0;  # Set to true and the name of the song ( but not artist & album ) is taken from the filename instead of the mp3id3.
+			#	Warning, it takes the fullname of the file so jimmy pop - popcorn.mp3 would have a new TITLE of jimmy pop - popcorn
+			#	Use with caution.
+my @dirs;
+my $oggenabled=1;
+my $mp3enabled=1;
+
+#Parse the command line.
+foreach my $param (@ARGV) {
+	if($param eq "-forceupdate"){
+		print "WARNING: Force Update is enabled. All songs found will have their DB entries updated.\n";
+		$forceupdate=1;
+		}
+	elsif($param eq "-titlefromfile"){
+		print "WARNING: Title From File is enabled. Song Title will be the name of the file and not from the comment tags.";
+		$titlefromfile=1;
+		}
+	elsif($param eq "-dontadd"){
+		print "WARNING: Don\'t add is enabled. Songs will not be added to DB.\n";
+		$dontadd = 1;
+		}
+	elsif($param eq "-noogg"){
+		print "WARNING: Ogg support manually Disabled.\n";
+		$oggenabled=0;
+		}
+	elsif($param eq "-nomp3"){
+		print "WARNING: mp3 support manually Disabled.\n";
+		$mp3enabled=0;
+		}
+	elsif($param eq "-h"){
+		print "Usage: import.pl [-dontadd] [-titlefromfile] [-forceupdate] [-noogg] [-nomp3] [dir1] [dir2] [dir3] ...\n";
+		print "\n\t-dontadd\tDon't actually add the files to the database, just show what would be done.\n";
+		print "\n\t-titlefromfile\tThe name of the song ( but not artist & album ) is taken from the filename instead of the mp3id3.\n";
+		print "\t\t\tWarning, it takes the fullname of the file so jimmy pop - popcorn.mp3 would have a new\n";
+		print "\t\t\tTITLE of jimmy pop - popcorn so use with caution.\n";
+		print "\n\t-forceupdate\tAll Duplicate files are forced to update the Database from the comment tags in the files.\n";
+		print "\n\t-nomp3\t\tDon't parse mp3 files.\n";
+		print "\n\t-noogg\t\tDon't parse ogg files.\n";
+		print "\n\tdir1,dir2..\tThe directories to search for valid files. (default is current directory)\n\n\n";
+		exit(1);
+		}	
+	else{
+		push(@dirs,$param);
+		}
+	}
+
+
+#check to make sure we're set up to import these file formats.
+if ($oggenabled&&$OGGINFO){
+	$oggenabled=1;
+	print "Ogg Import Enabled...\n";
+	}
+else{$oggenabled=0;}
+if ($mp3enabled&&$MPG123){
+	use MPEG::MP3Info;
+	print "MP3 Import Enabled...\n";
+	$mp3enabled=1;
+	}
+else{$mp3enabled=0;}
+	
+# Connect to the databse and prep the statements we'll use.
+my $dbh=DBI->connect("dbi:mysql:database=$DBNAME",$DBUSER,$DBPASS) || die;
+my $addsong=$dbh->prepare("insert into songs (artist,title,volume,file,played,voted,toplist,lastplayed,entered,format,trackno,volid) ".
+		      "values (?,?,?,?,0,0,0,now(),now(),?,?,?)");
+my $findduplicate=$dbh->prepare("select count(*) from songs where (upper(artist) = upper(?) and upper(title) = upper(?) and upper(volume) = upper(?) and (trackno is null or trackno = ? or ? is null)) or file = ?");
+my $analysemp3=$dbh->prepare("insert into ripqueue values (0,?,'mp3','analyse',?,?,?,?,0,'',?,NULL)");
+my $getsongid=$dbh->prepare("select id from songs where file = (?)");
+my $updatesonginfo=$dbh->prepare("update songs set artist = (?), title = (?), volume = (?), trackno = (?) where id = (?)");
+
+
+# Create a list of Valid Volumes stored in the validVol Hash
+my $vol=$dbh->prepare("select id,mounted from volumes where (flags&2)=2 and length(mounted)>1");
+$vol->execute();
+my %validVol;
+while(my ($volid,$mount)=$vol->fetchrow_array()) {
+    $validVol{$volid}=$mount;
+}
+
+
+#Get the Current Directory
+my $pwd=`pwd`;
+chomp($pwd);
+#Use the Current Directory if no directory is specified.
+if (!@dirs){
+	push(@dirs,$pwd);
+	print "No Directory Given, current dir assumed. (use -h for command line options)\n";
+	}
+
+# Traverse desired filesystems
+for my $a (@dirs) {
+    if ($a=~/^\//) {
+	&File::Find::find({wanted => \&parsefile, follow => 1},$a);
+    } else {
+	&File::Find::find({wanted => \&parsefile, follow => 1},$pwd."/".$a);
+    }
+}
+
+exit;
+
+#Routine called on each file found in specified directory 
+sub parsefile {
+    /^.*\.mp3$/i && $mp3enabled && addfile("mp3",$File::Find::name); # If it's an MP3 file then run addmp3 to add it.
+    /^.*\.ogg$/i && $oggenabled && addfile("ogg",$File::Find::name); # If it's an OGG file then run addogg to add it.
+}
+
+#Routine to add a file to the db (actaully it's the main add function.)
+sub addfile {
+	my ($mode,$name)=@_;
+	#Get Song Header Information.
+	my ($title,$artist,$album,$tracknumber,$date,$genre);
+	if($mode eq "mp3"){($title,$artist,$album,$tracknumber,$date,$genre) = getmp3info($name);}
+	elsif($mode eq "ogg"){($title,$artist,$album,$tracknumber,$date,$genre) = getogginfo($name);}
+	$title = basename($name, ".$mode") if $titlefromfile;  # JBM - sometimes the filename is a better title due to length limits on mp3id3
+	$name=~s/\/\.\//\//g; # Replaces /./ with / ... why /./ would appear I don't know.
+	if ($artist&&$title) {
+		#Check to see if the song is already in the db.
+		$findduplicate->execute($artist,$title,$album,$tracknumber,$tracknumber,$name);
+		my ($count)=$findduplicate->fetchrow_array;
+		if ($count==0) {#This is a unique song so lets add it.
+			#Check to see if it's on a volume already.		
+			my $volumeid;
+			($volumeid,$name)=findvolume($name);
+			#Here we actually add the file to the DB.
+			if($mode eq "mp3"){addmp3($name,$volumeid,$title,$artist,$album,$tracknumber,$date,$genre);}
+			elsif($mode eq "ogg"){addogg($name,$volumeid,$title,$artist,$album,$tracknumber,$date,$genre);}
+			#Be nice and print a happy message.
+			print "Adding: $artist - $title - $album - ".$validVol{$volumeid}." - $name\n";
+	    	}
+       		else{
+       			if($forceupdate){
+       				$getsongid->execute($name);
+            			my ($songid)=$getsongid->fetchrow_array;
+            			if ( $songid > 0 ) {
+              				print "Updating: $artist - $title - $album - $name\n";
+              				if(!$dontadd){
+              					$updatesonginfo->execute($artist,$title,$album,$tracknumber,$songid);
+              					}
+              				}
+       				}
+       			else{print "Duplicate song found (Not Added): $name\n";}
+       			}
+       		}
+    	else{print "Title or Artist Missing (Not Added): $name\n";}
+	return 0;
+	}
+
+		
+#This Routine checks to see if the file is already on a volume
+# and adds it to that volume.
+sub findvolume{
+	my ($name)=@_;
+	my $maxSiz=0;
+	my $volid;
+	for my $nvol (keys %validVol) {
+		my $base=$validVol{$nvol};
+		if (substr($name,0,length($base)) eq $base) {
+			if ($maxSiz<length($base)) {
+				$maxSiz=length($base);
+				$volid=$nvol;
+				$name=substr($name,$maxSiz);
+				$name=~s/^\///;
+	    			}
+			}
+   		}
+	return($volid,$name);
+	}
+
+#Gets the info from an ogg file
+sub getogginfo{
+	my ($name)=@_;
+	#Get the comments field of the ogg file and parse it.
+	open(OGGINFO,"$OGGINFO $name|");
+	my ($var,$value,$title,$artist,$album,$tracknumber,$date,$genre);
+	while(<OGGINFO>){
+		if($_ =~ m/(title||artist||album||tracknumber||date||genre)=(.*?)$/i){
+			$var=$1;
+			$value=$2;
+			chomp($var);
+			chomp($value);
+			$var =~ tr/A-Z/a-z/; #make lowercase.
+			if($var eq "title"){$title=$value;}
+			elsif($var eq "artist"){$artist=$value;}
+			elsif($var eq "album"){$album=$value;}
+			elsif($var eq "tracknumber"){$tracknumber=$value;}
+			elsif($var eq "date"){$date=$value;}
+			elsif($var eq "genre"){$genre=$value;}
+			}
+		}
+	close(OGGINFO);
+	return($title,$artist,$album,$tracknumber,$date,$genre);
+	}
+
+
+#add an OGG file to the db.
+sub addogg {
+	my ($name,$volumeid,$title,$artist,$album,$tracknumber,$date,$genre) = @_;
+	if(!$dontadd){
+		$addsong->execute($artist,$title,$album,$name,'ogg',$tracknumber,$volumeid);
+		my $songid=$addsong->{'mysql_insertid'};
+		}
+	}
+
+#Gets the info from an mp3 file
+sub getmp3info{
+	my ($name) = @_;
+	
+	# Get and parse all of the mp3tag.
+	my $info=get_mp3tag($name);
+	my $artist=$info->{ARTIST};
+	my $title=$info->{TITLE};
+	my $album=$info->{ALBUM};
+	my $genre=$info->{GENRE};
+	my $date=$info->{YEAR};
+	my $tracknumber=$info->{TRACKNUM};
+	
+	return($title,$artist,$album,$tracknumber,$date,$genre);
+	}
+
+#add an MP3 to the db.
+sub addmp3 {
+	my ($name,$volumeid,$title,$artist,$album,$tracknumber,$date,$genre) = @_;
+	if(!$dontadd){
+		$addsong->execute($artist,$title,$album,$name,'mp3',$tracknumber,$volumeid);
+	    	my $songid=$addsong->{'mysql_insertid'};
+	    	$analysemp3->execute($songid,$artist,$title,$album,$name,$tracknumber);
+		}
+	}
diff -Naur 9502/gjukebox/scripts/install.pl gjukeboxnew/scripts/install.pl
--- 9502/gjukebox/scripts/install.pl	Wed Aug 21 16:18:44 2002
+++ gjukeboxnew/scripts/install.pl	Fri Sep  6 00:23:50 2002
@@ -81,6 +81,7 @@
 	   "MPG123" => "mpg123",
 	   "OGG123" => "ogg123",
 	   "OGGENC" => "oggenc",
+	   "OGGINFO" => "ogginfo",
 	   "MYSQL" => "mysql",
 	   "MYSQLADMIN" => "mysqladmin",
 	   "ATQ" => "atq",
@@ -101,7 +102,7 @@
 	  "*mixer",
 	  "-jukebox",            # Shell prog
 	  "-jukebox.vanilla",    # Shell prog
-	  "addmp3id3.pl",
+	  "import.pl",
 	  "createalbums.pl",
 	  "difvol.pl",
 	  "download.pl",
@@ -808,11 +809,13 @@
                    in the database. Specifying any options will force moving the
                    database pointing to the new filename even if the move failed.
 
-addmp3id3.pl       Search the specified directories or files recursively for files
-                   ending in .mp3 and containing ID3 tags and then adding them into
-                   the jukebox based on that information. This program will only be
-                   available if you have mp3id3 installed. Very handy for importing
-                   huge directories of existing mp3 files into the database. 
+import.pl          Search the specified directories or files recursively for files
+                   ending in .mp3 or .ogg and containing comment tags and then 
+                   adding them into the jukebox based on that information.
+                   This program has a few options run it with -h for mor infomation.
+                   Ogg import requires ogginfo, mp3 import requires mp3id3.
+                   Very handy for importing huge directories of existing mp3 and ogg
+                   files into the database. 
 
 setmp3id3.pl       Set the ID3 tags of the songs added in the Jukebox according to
                    the contents of the database content. Specifying any options
@@ -825,7 +828,7 @@
 difvol.pl -all     Set the reference volume of songs entered in the jukebox
                    (Warning, will erase all manual modifications).
 
-createalbums.pl -h Create albums from a database created by addmp3id3.pl or
+createalbums.pl -h Create albums from a database created by import.pl or
                    upgraded from Jukebox 3.x
 
 __EOT__
diff -Naur 9502/gjukebox/www/info.php gjukeboxnew/www/info.php
--- 9502/gjukebox/www/info.php	Sun Sep  1 10:14:39 2002
+++ gjukeboxnew/www/info.php	Fri Sep  6 00:21:56 2002
@@ -90,7 +90,7 @@
 If this was an upgrade, don't worry. Users aren't changed.<P>
 <LI>Make sure to at least glance through the <B>Administrate</B>, <B>Global settings</B>.<P>
 <LI>The Jukebox won't start playing until you first start the play daemon with the script <B>jukebox start</B>.<P>
-<LI>The easiest way to add songs is using the script <B>addmp3id3.pl</B> which requires the songs to have ID3 tags. If
+<LI>The easiest way to add songs is using the script <B>import.pl</B> which requires the songs to have comment tags. If
 they are missing these, but are organized in a strict directory hierarchy I recommend the utility
 <A HREF=http://easytag.sourceforge.net/><b>easytag</b></A>.<P>
 <LI>Also check out the utility organizemp3.pl which is a great way to keep your files in order in the filesystem, for more
@@ -182,4 +182,4 @@
 <? include "NEWS" ?>
 </PRE>
 </BODY>
-</HTML>
\ No newline at end of file
+</HTML>
